> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove subgraph

> Remove a subgraph deployment



## OpenAPI

````yaml /open-api/0xgraph.yaml post /public_api/v1/0xGraph/subgraph/remove-subgraph
openapi: 3.0.3
info:
  title: 0xGraph API
  version: 1.0.0
  description: API for managing subgraph tags and deployments
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.subgraph.ormilabs.com
    description: data controllers
security: []
paths:
  /public_api/v1/0xGraph/subgraph/remove-subgraph:
    post:
      summary: Remove subgraph
      description: Remove a subgraph deployment
      operationId: removeSubgraph
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Subgraph name
                version:
                  type: string
                  description: Version
              required:
                - name
                - version
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/removeSubgraph'
      security:
        - BearerAuth: []
components:
  schemas:
    removeSubgraph:
      type: object
      properties:
        code:
          type: integer
          description: Response status code
        msg:
          type: string
          description: Response message
        data:
          type: object
          description: Response data
      required:
        - code
        - data
      description: Query response object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````